package cn.com.poc.common.service.impl;	

import cn.com.yict.framemax.core.service.impl.BaseServiceImpl;
import cn.com.poc.common.service.SysErrorLogService;
import cn.com.poc.common.model.SysErrorLogModel;
import cn.com.poc.common.repository.SysErrorLogRepository;
import cn.com.yict.framemax.data.model.PagingInfo;
import org.springframework.stereotype.Service;
import java.util.Collection;
import java.util.List;
import javax.annotation.Resource;

@Service
public class SysErrorLogServiceImpl extends BaseServiceImpl
 			 implements SysErrorLogService {
   
   @Resource
   private SysErrorLogRepository repository;
    			 
   public SysErrorLogModel get(java.lang.Integer id) throws Exception{
       return this.repository.get(id);
   }
    
   public List<SysErrorLogModel> findByExample(SysErrorLogModel example,PagingInfo pagingInfo) throws Exception{
       if(example == null){
           example = new SysErrorLogModel();
       }
       return this.repository.findByExample(example,pagingInfo);
   }
    
   public void delete(SysErrorLogModel model) throws Exception{
       this.repository.remove(model);
   }
    
   public void deleteById(java.lang.Integer id) throws Exception{
       this.repository.removeByPk(id);
   }
   
   public void deleteAll(Collection<java.lang.Integer> ids) throws Exception{
   	   this.repository.removeAllByPk(ids);
   }
    
   public SysErrorLogModel save(SysErrorLogModel model) throws Exception{
       return this.repository.save(model);
   }
    
   public Collection<SysErrorLogModel> saveAll(Collection<SysErrorLogModel> models) throws Exception{
       return this.repository.saveAll(models);
   }    	
}